Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

feat(@angular-devkit/build-angular): deprecate `es5BrowserSupport` op… #14166

Merged
merged 1 commit into from Apr 16, 2019

Conversation

Projects
None yet
5 participants
@alan-agius4
Copy link
Collaborator

alan-agius4 commented Apr 15, 2019

…tion in browser builder

In future, this will be determined from the list of supported browsers specified in the 'browserslist' file.

@googlebot googlebot added the cla: yes label Apr 15, 2019

@alan-agius4 alan-agius4 added the blocked label Apr 15, 2019

@alan-agius4 alan-agius4 marked this pull request as ready for review Apr 16, 2019

@alan-agius4 alan-agius4 force-pushed the alan-agius4:deprecate-es5BrowserSupport branch from 8915cc3 to 01312c3 Apr 16, 2019

@alan-agius4 alan-agius4 force-pushed the alan-agius4:deprecate-es5BrowserSupport branch from 01312c3 to 74c3879 Apr 16, 2019

@alan-agius4 alan-agius4 requested a review from clydin Apr 16, 2019

@alan-agius4 alan-agius4 requested a review from clydin Apr 16, 2019

@alan-agius4 alan-agius4 force-pushed the alan-agius4:deprecate-es5BrowserSupport branch 3 times, most recently from 712a4c8 to f3c443f Apr 16, 2019

@clydin

clydin approved these changes Apr 16, 2019

feat(@angular-devkit/build-angular): deprecate `es5BrowserSupport` op…
…tion in browser builder

In future, this will be determined from the list of supported browsers specified in the 'browserslist' file.

@alan-agius4 alan-agius4 force-pushed the alan-agius4:deprecate-es5BrowserSupport branch from f3c443f to 954f1da Apr 16, 2019

@alexeagle alexeagle merged commit 5fc1f24 into angular:master Apr 16, 2019

14 checks passed

ci/angular: merge status All checks passed!
ci/angular: size No size change against base branch.
ci/circleci: build Your tests passed on CircleCI!
Details
ci/circleci: build-bazel Your tests passed on CircleCI!
Details
ci/circleci: e2e-cli Your tests passed on CircleCI!
Details
ci/circleci: e2e-cli-ivy Your tests passed on CircleCI!
Details
ci/circleci: e2e-cli-ng-snapshots Your tests passed on CircleCI!
Details
ci/circleci: install Your tests passed on CircleCI!
Details
ci/circleci: lint Your tests passed on CircleCI!
Details
ci/circleci: test Your tests passed on CircleCI!
Details
ci/circleci: test-large Your tests passed on CircleCI!
Details
ci/circleci: validate Your tests passed on CircleCI!
Details
cla/google All necessary CLAs are signed
continuous-integration/appveyor/pr AppVeyor build succeeded
Details

@alan-agius4 alan-agius4 deleted the alan-agius4:deprecate-es5BrowserSupport branch Apr 17, 2019

@HitomiTenshi

This comment has been minimized.

Copy link

HitomiTenshi commented Apr 18, 2019

@alan-agius4 Just out of curiosity, will we be able to somehow either disable loading polyfills entirely, or load different browserslist files now that es5BrowserSupport is deprecated?

We are targeting multiple environments with multiple configurations in angular.json and we don't need polyfills for our electron target.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.